From a367e8cd6dd50c4304978c07d3823826bfb61365 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Wed, 5 Jan 2022 02:49:28 +0100
Subject: [PATCH 1/3] Remove trailing whitespace

---
 Makefile                        |  2 +-
 README.md                       |  2 +-
 debconf/commands.xml            |  2 +-
 debconf/priorities.xml          |  2 +-
 debian/changelog                | 48 ++++++++++++------------
 historical/README.shlibdeps     | 20 +++++-----
 historical/libc6-migration.txt  | 56 ++++++++++++++--------------
 policy/ap-license.rst           |  2 +-
 policy/index.rst                |  2 +-
 virtual-package-names-list.yaml | 66 ++++++++++++++++-----------------
 10 files changed, 101 insertions(+), 101 deletions(-)

diff --git a/Makefile b/Makefile
index 5640fb8..0c8765d 100644
--- a/Makefile
+++ b/Makefile
@@ -299,4 +299,4 @@ $(XML_FILES:=.txt) $(XML_SINGLE_FILES:=.txt) $(XML_SPLIT_FILES:=.txt): \
 .DELETE_ON_ERROR:
 
 # No default suffixes work here, don't waste time on them.
-.SUFFIXES: 
+.SUFFIXES:
diff --git a/README.md b/README.md
index 2cf6637..fcbd8b9 100644
--- a/README.md
+++ b/README.md
@@ -113,7 +113,7 @@ as possible for others to review your work.
    for your change.  If your change is particularly large, it might be
    more readable not to use `--word-diff=plain`, but usually the word
    diff is better.
-   
+
     Do not quote the output -- many people have mail readers which
     will colorise the diff if it is left unmodified.
 
diff --git a/debconf/commands.xml b/debconf/commands.xml
index ca73e28..490e1be 100644
--- a/debconf/commands.xml
+++ b/debconf/commands.xml
@@ -78,7 +78,7 @@
       Using a template has the advantage that titles are translatable and
       that they can be maintained in the same place as other text
       displayed to users.
-    </para> 
+    </para>
   </listitem>
   <listitem id="command_title">
     <para>
diff --git a/debconf/priorities.xml b/debconf/priorities.xml
index 114a9c7..7730491 100644
--- a/debconf/priorities.xml
+++ b/debconf/priorities.xml
@@ -24,7 +24,7 @@
       <row>
 	<entry>high</entry>
 	<entry>
-          Items that don't have a reasonable 
+          Items that don't have a reasonable
 	  default.
 	</entry>
       </row>
diff --git a/debian/changelog b/debian/changelog
index bc08838..dcb9de8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1366,7 +1366,7 @@ debian-policy (3.9.6.0) unstable; urgency=low
     Seconded: Tony Mancill <tmancill@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #754876
-  * virtual-package-names-list: Add httpd-wsgi 
+  * virtual-package-names-list: Add httpd-wsgi
     Wording: Bill Allombert <ballombe@debian.org>
     Seconded: Jonas Smedegaard <dr@jones.dk>
     Seconded: Piotr Ożarowski <piotr@debian.org>
@@ -1955,9 +1955,9 @@ debian-policy (3.9.0.0) unstable; urgency=low
     Seconded:  Julien Cristau  <jcristau@debian.org>
     Seconded:  Gregor Herrmann <gregoa@debian.org>
     Closes: #566220
-  * extend UID range of user accounts by removing the 30000-59999 reserved 
+  * extend UID range of user accounts by removing the 30000-59999 reserved
     ranges.
-    Proposed by Santiago Vila  
+    Proposed by Santiago Vila
     Seconded:  Russ Allbery    <rra@debian.org>
     Seconded:  Luk Claes       <luk@debian.org>
     Seconded:  Raphael Hertzog <hertzog@debian.org>
@@ -2093,25 +2093,25 @@ debian-policy (3.8.4.0) unstable; urgency=low
   [ Manoj Srivastava ]
   * [b270d2d]: Typo fix: relayed -> related. Thanks to Matt Kraai for
     pointing this out.
-  * [c74ac74]: 
+  * [c74ac74]:
     Policy: Grant an FHS exception for the multiarch library directories
     Wording: Steve Langasek.
     Seconded: Aurelien Jarno
     Seconded: Julien Cristau
     Seconded: Kurt Roeckx
     Closes: #542865
-  * [7ac3ee6]: 
+  * [7ac3ee6]:
     virtual package list: Added Doom virtual packages
     Wording: Manoj Srivastava
-    Seconded: Russ Allbery 
+    Seconded: Russ Allbery
     Seconded: Giacomo A. Catenazzi
     Closes: #518199
   * [8fd91a0]
     README Process upgrading-checklist: Created/converted to org-mode
     Wording: Manoj Srivastava
-    Seconded: Russ Allbery 
+    Seconded: Russ Allbery
     Closes: #545548
-  * [4da0692]: [typo-fixes]: 
+  * [4da0692]: [typo-fixes]:
     policy: Fix a number of grammatical or typographical errors
     wording: Eric Dantan Rzewnicki
     Seconded: Manoj Srivastava
@@ -2145,7 +2145,7 @@ debian-policy (3.8.4.0) unstable; urgency=low
      - Support of crontab entries with names for days and months,
        ranges, step values
      - Correct execution of /etc/cron.{hourly,daily,weekly,monthly}
-    
+
   [ Russ Allbery ]
   * Policy: Clarify policy on named pipes in packages
     Wording: Russ Allbery <rra@debian.org>
@@ -2286,8 +2286,8 @@ debian-policy (3.8.2.0) unstable; urgency=low
   [ Bill Allombert ]
   * Add myself to Uploaders.
   * Update Standards-Version to 3.8.1 (no changes required).
-  * debian/rules: 
-    - use `dpkg --print-architecture' instead of obsolete form 
+  * debian/rules:
+    - use `dpkg --print-architecture' instead of obsolete form
       `dpkg --print-installation-architecture'.
     - fix a race condition while generating DEBIAN/md5sums.
 
@@ -2509,7 +2509,7 @@ debian-policy (3.7.3.0) unstable; urgency=low
     debconf specification.
   * Remove inactive uploaders and add Russ Allbery.
   * Update Standards-Version to 3.7.3 (no changes required).
-  
+
  -- Russ Allbery <rra@debian.org>  Sun, 02 Dec 2007 22:33:55 -0800
 
 debian-policy (3.7.2.2) unstable; urgency=low
@@ -2526,7 +2526,7 @@ debian-policy (3.7.2.2) unstable; urgency=low
     world writable", thanks to Kari Pahula                   (Closes: #376438).
   * Bug fix: "policy-process: s/ a a / a /; s/peoples/people's/;
     s/intiated/initiated/; s/participattion the/participation in the/? add
-    quotes; s/was a larger/a larger/?", thanks to Justin Pryzby 
+    quotes; s/was a larger/a larger/?", thanks to Justin Pryzby
                                                              (Closes: #377215).
   * Bug fix: "[PROPOSAL] Include the GFDL in the set shipped in
     /usr/share/common-licenses", thanks to Adeodato Simó. However, it is
@@ -2577,7 +2577,7 @@ debian-policy (3.7.2.1) unstable; urgency=low
   * Bug fix: "debian-policy: 2.2 should be named 'categories'", thanks to
     Thomas Weber                                              (Closes: #369912).
   * Bug fix: "debian-policy: old postinst abort-upgrade, not new", thanks
-    to Justin Pryzby. The fix was thanks to Margarita Manterola 
+    to Justin Pryzby. The fix was thanks to Margarita Manterola
                                                               (Closes: #372148).
   * Bug fix: "policy: please say which control fields can line-wrap",
     thanks to Peter Samuelson                                 (Closes: #372731).
@@ -2590,7 +2590,7 @@ debian-policy (3.7.2.1) unstable; urgency=low
 
 debian-policy (3.7.2.0) unstable; urgency=low
 
-  * Revert the cgi-lib change. 
+  * Revert the cgi-lib change.
   * Bug fix: "Clarification for difference between Build-Depends and
     Build-Depends-Indep (Section 7.6)", thanks to Christoph Berg
     Note that this is not part of policy, just an informative footnote.
@@ -2672,7 +2672,7 @@ debian-policy (3.7.0.0) unstable; urgency=low
     some random point, and some packages may not be able to rely on their
     dependencies being present when being installed or removed, depending
     on which side of the break of the circular dependcy loop they happen
-    to be on.                                                (Closes: #362975). 
+    to be on.                                                (Closes: #362975).
   * Bug fix: "8.6.4. Providing a `shlibs' file: s/should create/must
     provide/", thanks to Christoph Berg. Clarified the wording.
                                                              (Closes: #341232).
@@ -2685,7 +2685,7 @@ debian-policy (3.7.0.0) unstable; urgency=low
     thanks to Guillem Jover                                   (Closes: #359817).
   * Bug fix: "[PROPOSAL] unclear recommendation for debconf w/
     dpkg-statoverride", thanks to Eduard Bloch                (Closes: #199849).
-  * debian-policy: please support Watch file as recommendation, thanks to 
+  * debian-policy: please support Watch file as recommendation, thanks to
      Bluefuture                                               (Closes: #342611).
   * Bug fix: "[PROPOSED] Mandate http servers to provide httpd-cgi as
     relevenat", thanks to Uwe Hermann. This is already supported by the
@@ -2728,7 +2728,7 @@ debian-policy (3.6.2.2) unstable; urgency=low
   * Bug fix: "Section 6.3 should reference 3.10.1", thanks to Marc 'HE'
     Brockschmidt                                              (Closes: #326633).
   * Bug fix: "debian-policy: section 2.2 refers to no-longer existant
-    non-US repository sections", thanks to Martin-Eric Racine 
+    non-US repository sections", thanks to Martin-Eric Racine
                                                               (Closes: #315470).
 
  -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Dec 2005 08:47:52 -0600
@@ -2738,7 +2738,7 @@ debian-policy (3.6.2.1) unstable; urgency=low
   * Bug fix: "debian-policy: Typo in upgrading-checklist.txt.gz", thanks
     to Romain Francoise. Added the missing /.               (Closes: #314569).
   * Bug fix: "x-session-manager already in use, so please add to
-    virtual-package-names-list.txt", thanks to Christopher Martin 
+    virtual-package-names-list.txt", thanks to Christopher Martin
                                                              (Closes: #313626).
   * Bug fix: "[ACCEPTED] SRFI 22 names for Scheme implementations", thanks
     to Jorgen Schaefer                                       (Closes: #310113).
@@ -2764,12 +2764,12 @@ debian-policy (3.6.2.0) unstable; urgency=low
   * Bug fix: "debian-policy: please clarify section 12.7.", thanks to
     Adrian Bunk. Added a clarifying footnote that makes it clear that
     section 12.3 does not allow one to ignore section 12.7  (Closes: #276953).
-  * 
+  *
   * Bug fix: "debian-policy: should not ship generated files in source
     archive, and should clean them from the tree", thanks to Branden
     Robinson                                                 (Closes: #284967).
   * Bug fix: "debian-policy: Detailed description of maintainer script
-    calls (Section 6.5) is incomplete", thanks to Nikolaus Schulz 
+    calls (Section 6.5) is incomplete", thanks to Nikolaus Schulz
     and Thomas Hood. What happens when error unwinding itself runs into
     problems is perhaps not discussed as completely as it should be.
                                                              (Closes: #286549).
@@ -2785,8 +2785,8 @@ debian-policy (3.6.2.0) unstable; urgency=low
   * Bug fix: "debian-policy: virtual package request: mpd-client", thanks
     to Eric Wong                                             (Closes: #270020).
   * Bug fix: "[ACCEPTED 2005/02/04]: "libexec", or use of "lib" for
-    binaries in lib* packages", thanks to Junichi Uekawa 
-                                                              (Closes: #146023). 
+    binaries in lib* packages", thanks to Junichi Uekawa
+                                                              (Closes: #146023).
   * Bug fix: "debian-policy: virtual package: flexmem", thanks to Bartosz
     Fenski aka fEnIo                                          (Closes: #239359).
   * Bug fix: "Please clarify Section 2.5. required <-> essential",
@@ -3019,7 +3019,7 @@ debian-policy (3.5.8.0) unstable; urgency=low
   * This is basically an attempt to ratify the current practice of using
     debhelper in the clean target. Currently, policy does not require
     debhelper to be installed when the clean target is run, even though it
-    is in the build-depends field. This was a simple oversight.  
+    is in the build-depends field. This was a simple oversight.
                                                              closes: Bug#164035
   * No longer depend on fileutils.                           closes: Bug#167425
   * Added the Apps/Science menu section                      closes: Bug#162812
diff --git a/historical/README.shlibdeps b/historical/README.shlibdeps
index e09261d..3491526 100644
--- a/historical/README.shlibdeps
+++ b/historical/README.shlibdeps
@@ -3,14 +3,14 @@ libraries a package should depend. Until now dpkg-shlibdeps has
 used the output of ldd to determine which libraries are needed.
 This will be changed to using objdump. This however changes
 will need a couple of changes in the way that packages are build.
-      
+
 Let me first explain the differences between ldd and objdump.
 A binary itself is linked against 0 or more dynamic libraries, depending
 on how it is linked. Some of those libraries may need other libraries
 to do their work, so the linker will need to load those as well when
 the binary is executed. For example, to run xcdrgtk needs the following
 libraries according to ldd:
-            
+
         libgtk-1.2.so.0 => /usr/lib/libgtk-1.2.so.0 (0x40019000)
         libgdk-1.2.so.0 => /usr/lib/libgdk-1.2.so.0 (0x4013d000)
         libImlib.so.1 => /usr/lib/libImlib.so.1 (0x40170000)
@@ -78,7 +78,7 @@ the same xcdrgtk binary it will tell us:
 
 All the other libraries are automatically pulled in by the dynamic
 loader.
-        
+
 And now for the connection to package management: a package only
 needs to depend on the libraries it is directly linked to, since the
 dependencies for those libraries should automatically pull in the
@@ -89,27 +89,27 @@ currently dpkg-shlibdeps is only run on binaries. But since we will
 now depend on the libraries to depend on the libraries they need
 the packages containing those libraries will need to run dpkg-shlibdeps
 on the libraries. That may sound a bit strange, so here is an example:
-      
+
 Generally a package does this in debian/rules:
-      
+
         dpkg-shlibdeps debian/tmp/usr/bin/*
-      
+
 This will need to be changes to:
-      
+
         dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/lib/lib*.so.*
 
 For lib* packages which don't generally contain libraries and didn't
 run dpkg-shlibdeps a dpkg-shlibdeps call will need to be added as well.
-      
+
 This gives us a lot more flexibility in the way libraries are packaged.
-      
+
 A good example where this would help us is the current mess with
 multiple version of the mesa library. With the ldd-based system
 every package that uses mesa need to add a dependency on
 svgalib|svgalib-dummy in order to handle the glide mesa variant.
 With an objdump-based system this isn't necessary anymore and would
 have saved everyone a lot of work.
-         
+
 Another example: we could update libimlib with a new version that supports
 a new graphics format called dgf. If we use the old ldd method every
 package that uses libimlib would need to be recompiled so it would also
diff --git a/historical/libc6-migration.txt b/historical/libc6-migration.txt
index 7c8134f..daff217 100644
--- a/historical/libc6-migration.txt
+++ b/historical/libc6-migration.txt
@@ -5,24 +5,24 @@
    library should do to support both libc6 (glibc2) and libc5.
    Note that these requirements are for Debian 2.0 (codename hamm).
 
- Contents 
+ Contents
  1.  Run time packages
  2.  Development packages
  3.  Source packages
  4.  Requirements on libraries for Debian 2.0
  5.  Conflicts and Dependencies
  6.  Handling bugfix releases for Debian 1.3 (bo)
- 7.  Requirements on compiler packages 
+ 7.  Requirements on compiler packages
 
  1. Run time packages
-    
+
     A package providing a shared library has to support both C library
     packages, libc5 and libc6 based libraries. This must be done using
     two Debian packages, each depending on the correct C library
     package.
     The package naming convention currently suggests to name these
     packages as follows. Some packages (mostly from base) may use
-    locations in /lib. 
+    locations in /lib.
 
        based on  | package name | library location
        --------------------------------------------
@@ -40,7 +40,7 @@
     ld-linux.so.1 and the C library files libc.so.5 and libm.so.5
     should still be located in /lib, not in /lib/libc5-compat.
 
-    Packages based on X have to use /usr/X11R6 as prefix, not /usr. 
+    Packages based on X have to use /usr/X11R6 as prefix, not /usr.
     Note that the X libraries are designed to work with both C libraries.
 
   2.  Development packages
@@ -51,18 +51,18 @@
     libfoo-dev. As packages based on libc5 and libc6 usually cannot
     use the same development files there has to be a clear statement
     how to separate these. So for now the following packages are
-    required:  
+    required:
 
       based on  | package name        | hierarchy locations
       ---------------------------------------------------------------
       libc6     | libfoog-dev         | /usr/{lib,include}
       libc5     | libfoo-altdev       | /usr/<a>-linuxlibc1/{lib,include}
-   
+
    Note that <a> usually is i486, but may not be hardcoded in
-   debian/rules. It should be obtained using 
-        dpkg --print-gnu-build-architecture 
+   debian/rules. It should be obtained using
+        dpkg --print-gnu-build-architecture
 
-   Remember that the libfoo-altdev package has to include symlinks 
+   Remember that the libfoo-altdev package has to include symlinks
    /usr/<a>-linuxlibc1/lib/libfoo.so -> /usr/lib/libc5-compat/libfoo.so.<ver>
    to enable using the shared libraries when compiling.
 
@@ -80,19 +80,19 @@
    information. Using a four-way approach for library locations
    (standard and alternate locations for libc6 and libc5 based
    packages) will make Debian systems inconsistent with each other,
-   something we should avoid at (nearly) all costs. 
+   something we should avoid at (nearly) all costs.
 
 
   3. Source packages
 
-   The source package name should _not_ be modified for hamm. 
+   The source package name should _not_ be modified for hamm.
 
    If a bugfix for bo has to be released, use bo's source package  to
-   extract the bo source and add for each hamm release a line to 
+   extract the bo source and add for each hamm release a line to
    debian/changelog stating that this release was a hamm release.
    Make your bugfix changes, including changes to the control file
    according to section 6.
-   
+
    Then unpack the hamm source again, update debian/changelog and
    debian/control to figure the bo release, and release a new hamm
    package (including the bugfix, if it affects hamm as well). [3]
@@ -109,7 +109,7 @@
    In general we want libraries compiled for libc6 to be thread-safe.
    This is, however, not practical or feasible for every library
    package. Making a library thread-safe involves quite a lot of work,
-   much of it nontrivial. 
+   much of it nontrivial.
    Thread-safe means that the following changes must be made to the
    library packages:
 
@@ -123,10 +123,10 @@
       using some file locking mechanism in addition to using mutexes.
     - at least some library functions must be protected from being
       used at the same time by two threads sharing the same memory
-      space. This is done using mutexes. 
+      space. This is done using mutexes.
 
    As these usually are all nontrivial changes to a library if it isn't
-   thread-safe already (in which case just using -D_REENTRANT should 
+   thread-safe already (in which case just using -D_REENTRANT should
    be used in addition to whatever the library uses to support threads),
    I suggest that no-one starts doing this without getting in contact with
    the upstream maintainer(s).
@@ -139,7 +139,7 @@
    There will be a list available that lists all libraries part of
    Debian and their current status regarding compliance with these
    standard requirements. This list will be posted regularly to
-   debian-devel by Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>.    
+   debian-devel by Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>.
 
   5. Conflicts & Dependencies for hamm packages
 
@@ -153,9 +153,9 @@
 
    The hamm libfoo package has to depend on libc6 and has to conflict
    with libfoo-dev and libc5-dev.
-   
+
    The libfoo-altdev package has to depend on the libc5-altdev and
-   libfoo package of the same release. 
+   libfoo package of the same release.
 
   6. Handling bugfixes for Debian 1.3 (bo)
 
@@ -172,7 +172,7 @@
        release. Update the hamm package's conflicts according to
        section 5.
    ii) Any bo package for libfoo _has_ to conflict with libc6,
-       libfoo-altdev and libfoog. 
+       libfoo-altdev and libfoog.
    iii)The libfoo-dev package has to conflict with libc5-altdev and
        has to depend on libc5-dev.
 
@@ -184,13 +184,13 @@
    from the compiler standpoint) there is no real difference between
    the two environments, only some paths and automatic definitions
    have to be changed. All this can be done (and is in fact done) by
-   supplying a different specs file in a different location. 
-   
+   supplying a different specs file in a different location.
+
    The gcc packages do this as follows:
 
    The gcc package uses libc6 by default and is installed in /usr/bin.
 
-   The alt-gcc package uses libc5 by default and is located in 
+   The alt-gcc package uses libc5 by default and is located in
    /usr/i486-linuxlibc1/bin. By prepending this to the path this can
    be made the default.
 
@@ -205,18 +205,18 @@ Remarks:
 
  [2] The location ../libc5-compat was introduced in the ldso package. As
      ldso is a package on all linus distributions we'll keep it for
-     compatibility with other distributions even though 
+     compatibility with other distributions even though
      /usr/i486-linuxlibc1/lib would be more consistent.
 
  [3] An example for relevant sections of the changelogs for a bugfix
-     release for both bo and hamm (with the last bo release being 
+     release for both bo and hamm (with the last bo release being
      libfoo 1.7.54-6 released on Mon, 16 Jun 1997 and the last hamm
      release being libfoo 1.7.54-8 released on Wed, 18 Jun 1997):
 
 -=-=-=-=-=-=-=-=-= bo changelog =-=-=-=-=-=-=-=-=-
 libfoo (1.7.54-9) stable; urgency=low
 
-  * fixed bug #543547884 
+  * fixed bug #543547884
 
  -- J.D. Maintainer <jdm@debian.org>  Fri, 20 Jun 1997 08:32:03 +0200
 
@@ -257,7 +257,7 @@ libfoo (1.7.54-8) unstable; urgency=low
 
  -- J.D. Maintainer <jdm@debian.org>  Wed, 18 Jun 1997 15:34:12 +0200
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
--- 
+--
 Helmut Geyer                                Helmut.Geyer@iwr.uni-heidelberg.de
 public PGP key available :           finger geyer@saturn.iwr.uni-heidelberg.de
 
diff --git a/policy/ap-license.rst b/policy/ap-license.rst
index 152687c..e1b7f3a 100644
--- a/policy/ap-license.rst
+++ b/policy/ap-license.rst
@@ -11,7 +11,7 @@ This manual is free software; you may redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
 Software Foundation; either version 2 of the License, or (at your option)
 any later version.
- 
+
 This is distributed in the hope that it will be useful, but WITHOUT ANY
 WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
diff --git a/policy/index.rst b/policy/index.rst
index b38e8c3..8ea7964 100644
--- a/policy/index.rst
+++ b/policy/index.rst
@@ -14,7 +14,7 @@ This is Debian Policy version |policy_version|, released on |policy_date|.
 .. toctree::
    :maxdepth: 4
    :numbered:
-   
+
    ch-scope
    ch-archive
    ch-binary
diff --git a/virtual-package-names-list.yaml b/virtual-package-names-list.yaml
index 5743b73..d618bf5 100644
--- a/virtual-package-names-list.yaml
+++ b/virtual-package-names-list.yaml
@@ -302,21 +302,21 @@ virtualPackages:
 # --------------------------------------
 # Note, that no other package then the ones listed here should use
 # these virtual package names.
-# 
+#
 # [There are currently no such package names in use]
-# 
+#
 # Changelog
 # ---------
-# 
+#
 # Ian Jackson:
 #   22 Sep 1995 Initial revision.
-# 
+#
 # Andrew Howell:
 #   26 Mar 1996 Added www-browser.
-# 
+#
 # Manoj Srivastava:
 #   11 May 1996 Added kernel-image, added new location of this file
-# 
+#
 # Warwick Harvey:
 #   19 May 1996 Took over maintenance of list, changed instructions for
 #               updating list
@@ -327,7 +327,7 @@ virtualPackages:
 #    8 Aug 1996 Added editor
 #   20 Aug 1996 Added sgmls, removed metafont, dvilj, dvips
 #   25 Nov 1996 Removed editor (should have done this a long time ago)
-# 
+#
 # Christian Schwarz:
 #   29 Apr 1997 New maintainer of this list
 #    5 May 1997 Added wordlist
@@ -341,17 +341,17 @@ virtualPackages:
 #               lambdamoo-server
 #   29 Jan 1998 Added libc-dev, emacsen
 #   14 Apr 1998 Removed obsolete virtual package `emacs'
-# 
+#
 # Manoj Srivastava:
 #   23 Jun 1999 Added pop3-server
 #   13 Jul 1999 Added ftp-server
-# 
+#
 # Julian Gilbey:
 #   26 Oct 1999 Added ispell-dictionary
 #               Added man-browser
 #               Added ident-server
 #               Alphabeticised lists
-# 
+#
 # Manoj Srivastava:
 #   11 Jul 2000 Added x-terminal-emulator
 #               Added x-window-manager
@@ -365,11 +365,11 @@ virtualPackages:
 #               Added telnet-client
 #   16 Jan 2001 Added rsh server
 #               Added telnet-server
-# 
+#
 # Julian Gilbey:
 #   13 Feb 2001 Removed libc.4.so
 #               Removed xcompat virtual package names
-# 
+#
 # Manoj Srivastava:
 #   14 Mar 2002 Added java-compiler, java2-compiler
 #               Added java-virtual-machine
@@ -383,69 +383,69 @@ virtualPackages:
 #               Added radius-server
 #    9 Sep 2002 Added dict-server
 #    3 Aug 2003 Added myspell-dictionary
-# 
+#
 # Andreas Barth:
 #   25 Apr 2004 Added stardict-dictionary
 #               Added inetd-superserver
-# 
+#
 # Manoj Srivastava:
 #   25 Jun 2004 Added cron-daemon
-# 
+#
 # Manoj Srivastava:
 #    4 Feb 2005 Added mpd-client
 #               Added flexmem
-# 
+#
 # Manoj Srivastava:
 #    16 Jun 2005  Removed aspell-dictionary
-# 
+#
 # Manoj Srivastava:
 #    18 Jun 2005  Added x-session-manager
 #                 Added the section on Scheme and interpreters, which
-#                 includes: 
-#                   scheme-r4rs                 
-#                   scheme-r5rs                 
-#                   scheme-ieee-11878-1900      
-#                   scheme-srfi-0               
-#                   scheme-srfi-7               
-#                   scheme-srfi-55          
+#                 includes:
+#                   scheme-r4rs
+#                   scheme-r5rs
+#                   scheme-ieee-11878-1900
+#                   scheme-srfi-0
+#                   scheme-srfi-7
+#                   scheme-srfi-55
 #                 Added x-display-manager
-# 
+#
 # Manoj Srivastava:
 #    26 April 2006 Added httpd-cgi
-# 
+#
 # Manoj Srivastava:
 #    02 October 2006 Added stardict
 #                    Added stardict-dictdata
 #                    Added lzh-archiver
-# 
+#
 # Russ Allbery:
 #    8 Jul 2007 Added dictd-dictionary
 #               Rename inetd-superserver to inet-superserver
 #    2 Dec 2007 Added ttf-japanese-gothic
 #               Added ttf-japanese-mincho
-# 
+#
 # Manoj Srivastava:
 #   21 Nov 2009 (Re)Added cron-daemon
-# 
+#
 # Russ Allbery:
 #   27 Aug 2010 Added mailx
-# 
+#
 # Bill Allombert:
 #   22 Feb 2012 Rename ttf-japanese-gothic to fonts-japanese-gothic
 #               Rename ttf-japanese-mincho to fonts-japanese-mincho
 #               Removed java-compiler
 #               Removed java2-compiler
 #               Removed java-virtual-machine
-# 
+#
 # Charles Plessy:
 #   03 Aug 2013 Removed mp3-encoder
 #   17 Aug 2013 Removed mp3-decoder
-# 
+#
 # Bill Allombert:
 #   16 Jul 2014 Added java{5,6,7,8,9}-runtime{,-headless}
 #               Removed java1-runtime, java2-runtime
 #   30 Jul 2014 Added httpd-wsgi
-# 
+#
 # Russ Allbery:
 #   01 Jan 2017 Added httpd-wsgi3
 #               Added MySQL virtual packages:
-- 
2.37.2

